curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newType": "CONTRACTOR",
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Switch a person’s employment type between employee and contractor. The person must be in Active status. Optionally provide new compensation info. If omitted, incompatible compensation is auto-converted (salaried becomes net, fixed becomes net).
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newType": "CONTRACTOR",
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the person
The new employment type for the person
EMPLOYEE, CONTRACTOR "CONTRACTOR"
Optional compensation for the new type. If omitted, incompatible compensation is auto-converted (salaried becomes net, fixed becomes net).
Show child attributes
Person type updated successfully